## glulxe 0.6.1

=== Makefile ===
# Unix Makefile for Glulxe.

# To use this, you must set three variables. GLKINCLUDEDIR must be the 
# directory containing glk.h, glkstart.h, and the Make.library file.
# GLKLIBDIR must be the directory containing the library.a file.
# And GLKMAKEFILE must be the name of the Make.library file. Two
# sets of values appear below; uncomment one of them and change the
# directories appropriately.

GLKINCLUDEDIR = ../cheapglk
GLKLIBDIR = ../cheapglk
GLKMAKEFILE = Make.cheapglk

#GLKINCLUDEDIR = ../glkterm
#GLKLIBDIR = ../glkterm
#GLKMAKEFILE = Make.glkterm

#GLKINCLUDEDIR = ../xglk
#GLKLIBDIR = ../xglk
#GLKMAKEFILE = Make.xglk

#GLKINCLUDEDIR = ../remglk
#GLKLIBDIR = ../remglk
#GLKMAKEFILE = Make.remglk

#GLKINCLUDEDIR = ../gtkglk/src
#GLKLIBDIR = ../gtkglk
#GLKMAKEFILE = ../Make.gtkglk

# Also set an appropriate OS config in OPTIONS, below.
#   -DOS_MAC for MacOS
#   -DOS_WINDOWS for Windows
#   -DOS_UNIX for Unix/Linux
# For OS_UNIX, you probably also want to set a random number generator
# option. These are unfortunately not very standardized across Unixes.
# We recommend -DUNIX_RAND_GETRANDOM on Linux and -DUNIX_RAND_ARC4
# on NetBSD.
# (MacOS always uses ARC4, in case you were wondering.)

# Pick a C compiler.
CC = cc
#CC = gcc

OPTIONS = -g -Wall -Wmissing-prototypes -Wno-unused -DOS_MAC

# Locate the libxml2 library. You only need these lines if you are using
# the VM_DEBUGGER option. If so, uncomment these and set appropriately.
#XMLLIB = -L/usr/local/lib -lxml2
#XMLLIBINCLUDEDIR = -I/usr/local/include/libxml2

include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)

CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR) $(XMLLIBINCLUDEDIR)
LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) -lm $(XMLLIB)

OBJS = main.o files.o vm.o exec.o funcs.o operand.o string.o glkop.o \
  heap.o serial.o search.o accel.o float.o gestalt.o osdepend.o \
  profile.o debugger.o

all: glulxe

glulxe: $(OBJS) unixstrt.o unixautosave.o
	$(CC) $(OPTIONS) -o glulxe $(OBJS) unixstrt.o unixautosave.o $(LIBS)

glulxdump: glulxdump.o
	$(CC) -o glulxdump glulxdump.o

$(OBJS) unixstrt.o unixautosave.o: glulxe.h unixstrt.h

exec.o operand.o: opcodes.h
gestalt.o: gestalt.h

clean:
	rm -f *~ *.o glulxe glulxdump profile-raw

## glulxe 0.5.4

=== debian/changelog ===
glulxe (0.5.4-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to 3.0 source format (Closes: #1007657)
  * Drop non-existing Vcs fields

 -- Bastian Germann <bage@debian.org>  Tue, 29 Nov 2022 23:01:06 +0100

glulxe (0.5.4-1) unstable; urgency=low

  * Initial release (Closes: #942239)

 -- John Goerzen <jgoerzen@complete.org>  Sat, 12 Oct 2019 16:25:43 -0500

=== debian/control ===
Source: glulxe
Section: games
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 11), libncurses-dev, libglktermw-dev (>= 1.0.4-2), pandoc
Standards-Version: 4.1.3
Homepage: https://www.eblong.com/zarf/glulx/

Package: glulxe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Interpreter for glulx interactive fiction
 glulxe is the authoritative interpreter for the Glulx interactive fiction
 VM, which is a 32-bit update of the older Z-Machine standard.
 .
 This program can play games ending with .ulx, .gblorb, .glb, .blorb,
 and .blb.  glulxe needs only a terminal; the optional graphics in some Glulx
 games can be shown by using the package gargoyle-free instead.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pandoc --standalone --to man debian/glulxe.6.md -o debian/glulxe.6

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/glulxe.6

## glulxe 0.6.1

=== debian/changelog ===
glulxe (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Uploaded Git repo to salsa, noted in control

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 09:54:25 -0500

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends: debhelper (>= 11), libncurses-dev, libglktermw-dev (>= 1.0.4-2), pandoc
 Standards-Version: 4.1.3
 Homepage: https://www.eblong.com/zarf/glulx/
+Vcs-Browser: https://salsa.debian.org/jgoerzen/glulxe
+Vcs-Git: https://salsa.debian.org/jgoerzen/glulxe.git
 
 Package: glulxe
 Architecture: any
